package zabi.uniud.cggwrapper;

import zabi.uniud.cggwrapper.launch.AppLaunch;
import zabi.uniud.cggwrapper.ui.ConfiguratorMode;

public class Launcher {

	public static void main(String[] args) {

		System.out.format("-- ChronoGeoGraph Wrapper --\n\nCGG by:\t\t%s (%s)\nWrapper by:\tSimone Zanin (mailto:simone.zanin@protonmail.com)\n", "Donatella Gubiani", "http://5.249.144.7/donatellagubiani/index.php/projects/cgg");


		for (String s:args) {
			if (s.equals("--reset")) {
				ConfiguratorMode.resetAndLoad(args);
				return;
			}
		}

		Config cf = Config.getConfig();
		if (cf == null) {
			ConfiguratorMode.load(args);
		} else {
			AppLaunch.runNewInstance(cf, args);
		}
	}

}
